diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/__init__.py
index 1cdc2c0..5453515 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/__init__.py
@@ -663,15 +663,15 @@ class PackageView(PGChildNodeView):
         if sql is None:
             return None
 
-        sql = sql.lower()
-        start = sql.find('is')
+        sql_lower = sql.lower()
+        start = sql_lower.find(' is')
         if start == -1:
-            start = sql.find('as')
+            start = sql_lower.find(' as')
 
-        end = max(sql.rfind('end;'), sql.rfind('end'))
+        end = max(sql_lower.rfind('end;'), sql_lower.rfind('end'))
 
         if start == -1:
             return sql[0: end].strip("\n")
-        return sql[start+2: end].strip("\n")
+        return sql[start+3: end].strip("\n")
 
 PackageView.register_node_view(blueprint)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/edbfuncs/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/edbfuncs/__init__.py
index 2c95c9c..3891212 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/edbfuncs/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/edbfuncs/__init__.py
@@ -564,16 +564,16 @@ It may have been removed by another user or moved to another schema.
         if sql is None:
             return None
 
-        sql = sql.lower()
-        start = sql.find('is')
+        sql_lower = sql.lower()
+        start = sql_lower.find(' is')
         if start == -1:
-            start = sql.find('as')
+            start = sql_lower.find(' as')
 
-        end = max(sql.rfind('end;'), sql.rfind('end'))
+        end = max(sql_lower.rfind('end;'), sql_lower.rfind('end'))
 
         if start == -1:
             return sql[0: end].strip("\n")
-        return sql[start+2: end].strip("\n")
+        return sql[start+3: end].strip("\n")
 
 EdbFuncView.register_node_view(blueprint)
 
